var folkdShared = {
	openURL : function( aURL ) {
		var navWindow;
		try {
			var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService( Components.interfaces.nsIWindowMediator );
			navWindow = wm.getMostRecentWindow( "navigator:browser" );
  	  if (!navWindow) navWindow = wm.getMostRecentWindow("emusic:window");
		} catch( ex ) {
		}
	
		if( navWindow ) {
			if( "delayedOpenTab" in navWindow ) {
				navWindow.delayedOpenTab( aURL );
			} else if( "loadURI" in navWindow ) {
				navWindow.loadURI( aURL );
			} else {
				 navWindow.content.location.href = aURL;
			}
		} else {
			var ass = Components.classes["@mozilla.org/appshell/appShellService;1"].getService( Components.interfaces.nsIAppShellService );
			w = ass.hiddenDOMWindow;
			w.openDialog( getBrowserURL(), "_blank", "chrome,all,dialog=no", aURL );
		}
	},
	
	help : function( s ) {
		var url = "http://www.folkd.com/";
		if( s ) {
			url += "#" + s;
		}
		this.openURL( url );
	},
	
	get_navigator : function () {
		
		var windowManager   = Components.classes['@mozilla.org/appshell/window-mediator;1'].getService(Components.interfaces.nsIWindowMediator);
		var topWindowOfType = windowManager.getMostRecentWindow("navigator:browser");
		
 	  if (!topWindowOfType) topWindowOfType = windowManager.getMostRecentWindow("emusic:window");

		topWindowOfType = topWindowOfType.document

		if( topWindowOfType ) {
			return topWindowOfType;
		}
		return "null";
		
	},
	
	get_content_browser : function() {
		if (this.get_navigator()) {
			return this.get_navigator().getElementById('content');
		} else {
			return "null";
		}
	}
}